﻿using NDB.Application.DataContracts;
using NetworkResurrector.Application.Events;
using System;

namespace NetworkResurrector.Application.Commands
{
    public class PingMachine : Command<MachinePinged>
    {
        public string IPAddressOrMachineName { get; set; }

        public PingMachine(string ipAddressOrMachineName) : base(new Metadata() { CorrelationId = Guid.NewGuid() })
        {
            IPAddressOrMachineName = ipAddressOrMachineName;
        }
    }
}
