﻿using NDB.Application.DataContracts;
using NetworkResurrector.Application.Events;
using System;

namespace NetworkResurrector.Application.Commands
{
    public class WakeMachine : Command<MachineWaked>
    {
        public string MacAddress { get; set; }

        public WakeMachine(string macAddress) : base(new Metadata() { CorrelationId = Guid.NewGuid() })
        {
            MacAddress = macAddress;
        }
    }
}